package com.usky.transfer.service;

import com.usky.transfer.domain.DmpProduct;
import com.usky.common.mybatis.core.CrudService;
import com.usky.transfer.service.vo.DeviceMapVO;
import com.usky.transfer.service.vo.ProductMapVO;

import java.util.Map;

/**
 * <p>
 * 产品信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2024-09-19
 */
public interface DmpProductService extends CrudService<DmpProduct> {
    void deleteProductCache();
    void deleteDeviceCache(String productCode);

    Map<String, ProductMapVO> getProductMap();
    Map<String, DeviceMapVO> getDeviceMap(String productCode);
}
